<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout android:background="@null" android:layout_width="fill_parent" android:layout_height="fill_parent"
  xmlns:android="http://schemas.android.com/apk/res/android">
    <ImageView android:id="@id/iv_widget_config_bg" android:background="@null" android:layout_width="fill_parent" android:layout_height="fill_parent" android:scaleType="fitCenter" />
    <TextView android:textSize="14.0dip" android:textColor="#ffffffff" android:ellipsize="end" android:gravity="center" android:background="@drawable/widget_preview_loading_bg" android:layout_width="fill_parent" android:layout_height="60.0dip" android:layout_marginLeft="15.0dip" android:layout_marginTop="40.0dip" android:layout_marginRight="15.0dip" android:text="@string/widget_add_toast" android:maxLines="2" android:lineSpacingExtra="5.0dip" />
    <LinearLayout android:gravity="center" android:orientation="vertical" android:id="@id/ll_widget_preview_content" android:layout_width="fill_parent" android:layout_height="fill_parent">
        <LinearLayout android:gravity="center" android:orientation="vertical" android:layout_width="fill_parent" android:layout_height="0.0dip" android:layout_marginTop="75.0dip" android:layout_weight="5.0">
            <com.moji.appwidget.view.MyViewPager android:id="@id/vp_widget_preview" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_marginLeft="15.0dip" android:layout_marginRight="15.0dip" />
        </LinearLayout>
        <com.moji.appwidget.view.fancycoverflow.FancyCoverFlow android:id="@id/fcf_widget_choose" android:paddingBottom="15.0dip" android:layout_width="fill_parent" android:layout_height="0.0dip" android:layout_weight="2.6" />
        <LinearLayout android:orientation="horizontal" android:id="@id/ll_widget_bottom" android:layout_width="fill_parent" android:layout_height="0.0dip" android:layout_weight="1.5">
            <Button android:textSize="18.0dip" android:textColor="@android:color/white" android:id="@id/btn_widget_more" android:background="@drawable/widget_preview_btn_selector" android:layout_width="wrap_content" android:layout_height="50.0dip" android:layout_marginLeft="16.0dip" android:layout_marginTop="15.0dip" android:layout_marginRight="18.0dip" android:text="@string/more" android:layout_weight="2.0" />
            <Button android:textSize="18.0dip" android:textColor="@android:color/white" android:id="@id/btn_widget_apply" android:background="@drawable/widget_preview_btn_selector" android:layout_width="wrap_content" android:layout_height="50.0dip" android:layout_marginTop="15.0dip" android:layout_marginRight="16.0dip" android:text="@string/avatar_status_use" android:layout_weight="2.0" />
        </LinearLayout>
    </LinearLayout>
    <LinearLayout android:gravity="center" android:orientation="vertical" android:id="@id/ll_widget_preview_loading" android:background="@drawable/widget_preview_loading_bg" android:visibility="gone" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_centerInParent="true">
        <com.moji.appwidget.view.MDProgressBar android:layout_width="65.0dip" android:layout_height="65.0dip" android:layout_marginTop="15.0dip" />
        <TextView android:textSize="13.0dip" android:textColor="@android:color/white" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="12.0dip" android:layout_marginTop="15.0dip" android:layout_marginRight="12.0dip" android:layout_marginBottom="12.0dip" android:text="@string/widget_preview_generate" />
    </LinearLayout>
</RelativeLayout>